org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect

## Class SideEffectCapTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectCapTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectCapTest.Traversals

- Enclosing class:
    SideEffectCapTest

      public static class SideEffectCapTest.Traversals
      extends SideEffectCapTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectCapTest

      `SideEffectCapTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Map<Object,Long>>>` | `get_g_V_chooseXlabel_person__age_groupCountXaX__name_groupCountXbXX_capXa_bX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasXageX_groupCountXaX_byXnameX_out_capXaX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.sideEffect.SideEffectCapTest

      `g_V_chooseXlabel_person__age_groupCountXaX__name_groupCountXbXX_capXa_bX, g_V_hasXageX_groupCountXaX_byXnameX_out_capXaX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_hasXageX_groupCountXaX_byXnameX_out_capXaX

          public Traversal<Vertex,Map<String,Long>> get_g_V_hasXageX_groupCountXaX_byXnameX_out_capXaX()

      Specified by:
        `get_g_V_hasXageX_groupCountXaX_byXnameX_out_capXaX` in class `SideEffectCapTest`

    - #### get_g_V_chooseXlabel_person__age_groupCountXaX__name_groupCountXbXX_capXa_bX

          public Traversal<Vertex,Map<String,Map<Object,Long>>> get_g_V_chooseXlabel_person__age_groupCountXaX__name_groupCountXbXX_capXa_bX()

      Specified by:
        `get_g_V_chooseXlabel_person__age_groupCountXaX__name_groupCountXbXX_capXa_bX` in class `SideEffectCapTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.